import { render, screen } from "@testing-library/react";
import { Provider } from "react-redux";
import { Router } from "react-router-dom";
import AppRoutes from "../../AppRoutes";
import MainContainer from "../../components/Section/MainContainer";
import store from "../../store";
import history from "../../store/utils/history";

describe("main container tests", () => {
  const cont = (
    <Provider store={store}>
      <Router history={history}>
        <MainContainer>
          <AppRoutes />
        </MainContainer>
      </Router>
    </Provider>
  );

  it("Should render", () => {
    const {container} = render(cont);

    expect(screen.queryByTestId('default-route-div')).toBeDefined()
    expect(container.getElementsByClassName('h-withHeader')[0]).not.toBeDefined()
  });
});
